Subject: Re: linux-next: Tree for August 14 (sysfs/acpi errors)

From: Andi Kleen <[email-masked]>
Date: Sat, 16 Aug 2008 05:49:55 +0200

Rusty Russell wrote:
> On Saturday 16 August 2008 12:57:57 Andi Kleen wrote:
>>>> Extract is:
>>>>
>>>> XXX adding modparam:'acpi.power_nocheck' 34 (ffffffff806a4cf0)
>>> ...
>>>
>>>> XXX adding modparam:'acpi.acpica_version' 45 (ffffffff806a4ea8)
>>> Two different "modules" use the same prefix, which does not work with
>>> the current logic, they need to live next to each other in the sequence
>>> of options.
>> Sequence of options being defined by link order?
> 
> Simplest fix is to shuffle Makefile.  But better is to create an acpi "module"
> so the namespacing just works, something like below.  Overriding MODULE_PREFIX
> only works for builtin code anyway.  (Which makes sense: moving a parameter
> from one module to another isn't a change we can cover up).

Can't say I like this. This is fragile. I can just this exploding the next time
again with some innocent change.

-Andi